if(CONFIG_FS_MGMT)
  zephyr_library()
  zephyr_sources(src/fs_mgmt.c)
  zephyr_include_directories(include)

  if(CONFIG_FILE_SYSTEM_LITTLEFS)
    if(DEFINED ZEPHYR_LITTLEFS_MODULE_DIR)
      zephyr_include_directories(${ZEPHYR_LITTLEFS_MODULE_DIR})
    elseif(DEFINED WEST_TOPDIR)
      zephyr_include_directories(${WEST_TOPDIR}/modules/fs/littlefs)
    endif()

    if(DEFINED ZEPHYR_BASE)
      zephyr_include_directories(${ZEPHYR_BASE}/modules/littlefs)
    endif()
  endif()
endif()